"use client";

import { Play } from "lucide-react";
import { runCode } from "@/actions/docker/run";
import { Button } from "@/components/ui/button";
import { useEditorStore } from "@/store/useEditorStore";
import { useTerminalStore } from "@/store/useTerminalStore";

export default function Run() {
  const { language, code } = useEditorStore();
  const { setType, setMessage, setOutput } = useTerminalStore();

  return (
    <div className="inline-flex -space-x-px rounded-lg shadow-sm shadow-black/5 rtl:space-x-reverse">
      <Button
        className="rounded-none shadow-none first:rounded-s-lg last:rounded-e-lg focus-visible:z-10"
        variant="outline"
        onClick={async () => {
          if (language && code) {
            const result = runCode(language, code);
            setType((await result).type);
            setMessage((await result).message);
            setOutput((await result).output);
          } else {
            console.error("Language or code is null");
          }
        }}
      >
        <Play
          className="-ms-1 me-2 opacity-60"
          size={16}
          strokeWidth={2}
          aria-hidden="true"
        />
        运行
      </Button>
    </div>
  );
}
