import Result from "../layout/terminal/result";
import { ClipboardList, MessageSquareCode, TerminalSquare } from "lucide-react";
import { Tabs, TabsContent, TabsList, TabsTrigger } from "@/components/ui/tabs";

export default function Terminal() {
  return (
    <Tabs
      defaultValue="terminal"
      orientation="vertical"
      className="flex h-full w-full gap-2 py-3 pr-3"
    >
      <TabsList className="justify-start flex-col gap-1 rounded-none bg-transparent px-1 py-0 text-foreground">
        <TabsTrigger
          value="terminal"
          className="relative w-full justify-start after:absolute after:inset-y-0 after:start-0 after:-ms-1 after:w-0.5 hover:bg-accent hover:text-foreground data-[state=active]:bg-transparent data-[state=active]:shadow-none data-[state=active]:after:bg-primary data-[state=active]:hover:bg-accent"
        >
          <TerminalSquare
            className="-ms-0.5 me-1.5 opacity-60"
            size={16}
            strokeWidth={2}
            aria-hidden="true"
          />
          终端
        </TabsTrigger>
        <TabsTrigger
          value="comment"
          className="relative w-full justify-start after:absolute after:inset-y-0 after:start-0 after:-ms-1 after:w-0.5 hover:bg-accent hover:text-foreground data-[state=active]:bg-transparent data-[state=active]:shadow-none data-[state=active]:after:bg-primary data-[state=active]:hover:bg-accent"
        >
          <MessageSquareCode
            className="-ms-0.5 me-1.5 opacity-60"
            size={16}
            strokeWidth={2}
            aria-hidden="true"
          />
          评分
        </TabsTrigger>
        <TabsTrigger
          value="case"
          className="relative w-full justify-start after:absolute after:inset-y-0 after:start-0 after:-ms-1 after:w-0.5 hover:bg-accent hover:text-foreground data-[state=active]:bg-transparent data-[state=active]:shadow-none data-[state=active]:after:bg-primary data-[state=active]:hover:bg-accent"
        >
          <ClipboardList
            className="-ms-0.5 me-1.5 opacity-60"
            size={16}
            strokeWidth={2}
            aria-hidden="true"
          />
          测试用例
        </TabsTrigger>
      </TabsList>
      <div className="grow rounded-lg border border-border text-start bg-[#3e4452]">
        <TabsContent value="terminal" className="h-full">
          <Result />
        </TabsContent>
        <TabsContent value="comment" className="h-full">
          <p className="px-4 py-1.5 text-xs text-muted-foreground">
            Content for Tab 2
          </p>
        </TabsContent>
        <TabsContent value="case" className="h-full">
          <p className="px-4 py-1.5 text-xs text-muted-foreground">
            Content for Tab 3
          </p>
        </TabsContent>
      </div>
    </Tabs>
  );
}
