import {
  ResizableHandle,
  ResizablePanel,
  ResizablePanelGroup,
} from "@/components/ui/resizable";
import Tools from "./components/tools";
import Banner from "./components/banner";
import Terminal from "./components/terminal";
import Chat from "./components/chat";
import EditorPanel from "./layout/editor-panel";

export default function PlaygroundLayout() {
  return (
    <div className="h-screen flex flex-col bg-[#282c34]">
      <Banner />
      <Tools />
      <div className="flex flex-1 min-h-0">
        <ResizablePanelGroup direction="horizontal">
          <ResizablePanel defaultSize={25}>One</ResizablePanel>
          <ResizableHandle className="bg-[#3e4452]" />
          <ResizablePanel defaultSize={50}>
            <ResizablePanelGroup direction="vertical">
              <ResizablePanel defaultSize={75}>
                <ResizablePanelGroup direction="horizontal">
                  <ResizablePanel defaultSize={75}>
                    <EditorPanel />
                  </ResizablePanel>
                </ResizablePanelGroup>
              </ResizablePanel>
              <ResizableHandle className="bg-[#3e4452]" />
              <ResizablePanel defaultSize={25}>
                <Terminal />
              </ResizablePanel>
            </ResizablePanelGroup>
          </ResizablePanel>
          <ResizableHandle className="bg-[#3e4452]" />
          <ResizablePanel defaultSize={25}>
            <Chat />
          </ResizablePanel>
        </ResizablePanelGroup>
      </div>
    </div>
  );
}
