"use client";

import { useEffect } from "react";
import { useEditorStore } from "@/store/useEditorStore";

export default function EditorPanel() {
  const { setLanguage, setCode } = useEditorStore();

  useEffect(() => {
    const handleMessage = (event: MessageEvent) => {
      if (event.origin === "https://editor.litchi.icu") {
        if (event.data.type === "editor-info") {
          setLanguage(event.data.language);
          setCode(event.data.code);
        }
      }
    };

    window.addEventListener("message", handleMessage);

    return () => {
      window.removeEventListener("message", handleMessage);
    };
  }, [setLanguage, setCode]);

  return <iframe src="https://editor.litchi.icu" className="w-full h-full" />;
}
