"use client";

import { Message } from "./components/message";
import { ScrollArea } from "@/components/ui/scroll-area";
import { useTerminalStore } from "@/store/useTerminalStore";
import { Prism as SyntaxHighlighter } from "react-syntax-highlighter";
import { oneDark } from "react-syntax-highlighter/dist/esm/styles/prism";

export default function ResultPage() {
  const { type, message, output } = useTerminalStore();

  return (
    <>
      {type && message && (
        <>
          <Message type={type} message={message} />
          <ScrollArea className="h-full bg-[#272B33]">
            {output && (
              <SyntaxHighlighter language="bash" style={oneDark}>
                {output}
              </SyntaxHighlighter>
            )}
          </ScrollArea>
        </>
      )}
    </>
  );
}
